<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('prl_shift_masters', function (Blueprint $table) {
            $table->bigIncrements('shift_id');
            
            $table->string('shift_name',100)->nullable();
          
           $table->time('start')->nullable();
           $table->time('end')->nullable();

           $table->integer('branch')->default(0);
           $table->integer('status')->default(0);
           $table->timestamps();


        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('prl_shift_masters');
    }
};
